CREATE TABLE fun_role_data_security_mapping (
    ROLE_DATA_MAPPING_ID     NUMBER(18, 0) ,
    SECURITY_CONTEXT         VARCHAR2(1024),
    ROLE_NAME                VARCHAR2(1024)    NOT NULL,
    APPLICATION_ID           NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    RECORD_TYPE_CODE         VARCHAR2(120) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_NAME              VARCHAR2(320)     NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    ROLE_DATA_MAPPING_ID     NUMBER(18, 0) ,
    SECURITY_CONTEXT         VARCHAR2(1024),
    ROLE_NAME                VARCHAR2(1024)    NOT NULL,
    APPLICATION_ID           NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    RECORD_TYPE_CODE         VARCHAR2(120) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_NAME              VARCHAR2(320)     NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fun_role_data_security_mapping PRIMARY KEY (ROLE_DATA_MAPPING_ID, ROLE_DATA_MAPPING_ID)
);
